<?php
	require '../views/pages/conex.php';
	require 'fpdf/fpdf.php';
	
	//require 'plantilla.php';
	$idfactura = $_GET['idfactura'];
    date_default_timezone_set('America/Guayaquil');
    $diassemana = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S谩bado");
    $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
    $fechaActual= $diassemana[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y');
    
	$sql = "UPDATE tb_facturainfo SET id_estado = 6 WHERE idfacturainfo = '$idfactura'";
	$regis = mysqli_query($conn,$sql); 
	
	$tarja ="SELECT fi.*,m.*
	FROM tb_facturainfo  as fi 	
	INNER JOIN tb_moneda as m on m.idmoneda = fi.id_moneda
	WHERE fi.idfacturainfo = $idfactura and fi.condicion =1";
	$tar = mysqli_query($conn,$tarja);	
	if($row = mysqli_fetch_array($tar) )
	{
		
		$exonerado=$row['exonerado'];
		$numero=$row['numero'];
		$cedula=$row['cedula'];		
		$nombre=$row['nombre'];
		$pedido=$row['pedido'];
		$dai=$row['dai'];
		$sp=$row['sp'];
		$fecha=$row['fecha'];
		$moneda=$row['siglas'];
		$monedad=$row['detalle'];
		$fechafi=$row['fecha'];
		$embarque=$row['cod_embarque']; 
	}
	
	
	
	
    $timestamp = strtotime($fecha);
    
    

    // Formatea la fecha en el formato deseado
        setlocale(LC_ALL,"es_ES");
    
        $fecha_formateada = strftime("%A, %d de %B de %Y", $timestamp);
    
    
    

	if ($exonerado == 0)
	{
	
		$tarja2 ="SELECT fi.*, e.* 
		FROM tb_facturainfo  as fi 	
		INNER JOIN tb_empresa as e on e.idempresa = fi.id_cliente
		WHERE fi.idfacturainfo = $idfactura and fi.condicion =1";
		$tar2 = mysqli_query($conn,$tarja2);
		
		if($row = mysqli_fetch_array($tar2) )
		{
			$ruc=$row['ruc'];
			$razon_social=$row['razon_social'];
			$fechafi=$row['fecha'];
			$tipoid="Cedula Identidad";
			
		}
	}
	
	$pdf=new FPDF('L','mm','Legal');
	//$pdf->AliasNbPages();
    $pdf->AddPage();
	$pdf->AliasNbPages();
	

	$pdf->SetFont('Arial','B',10);
	$pdf->SetY(10);
	$pdf->Cell(0,25,"",0,2,'R');
	$pdf->Image('img/latkic_fi.png',15,10,40);
	
	$fecha_actual = "2023-11-09";
	if($fechafi >= $fecha_actual)
	{
    	$pdf->SetFont('Arial','',10);
    	$pdf->Setx(12);
    	$pdf->Cell(0,-10,utf8_decode("Código SGI: LATKIC-OP-RF00022 /Rev.#00 /10-11-2023"),0,2,'L');
    	//$pdf->SetFont('Arial','B',10);
    	//$pdf->Cell(0,30,"FACTURA INFORMATIVA",0,2,'C');
    	//$pdf->SetFont('Arial','B',10);
	    //$pdf->Cell(0,-30,"NO.: ".$numero,0,2,'R');
	}
	else
	{
    	$pdf->SetFont('Arial','B',10);
    	$pdf->Cell(0,-38,"FACTURA INFORMATIVA",0,2,'C');
    	$pdf->SetFont('Arial','B',10);
	    $pdf->Cell(0,35,"NO.: ".$numero,0,2,'R');
	}
	
	
	
	$pdf->SetFont('Arial','B',12);
	$pdf->SetY(10);
	$pdf->SetX(60);
	$pdf->Cell(0,1,"LATKIC S.A.",0,2,'C');

	$pdf->SetFont('Arial','',10);
	$pdf->SetY(15);
	$pdf->SetX(60);
	$pdf->Cell(0,1,utf8_decode("DEPOSITO ADUANERO PÚBLICO"),0,2,'C');

	$pdf->SetFont('Arial','',10);
	$pdf->SetY(19);
	$pdf->SetX(60);
	$pdf->Cell(0,1,utf8_decode("RUC: 0992684119001"),0,2,'C');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(23);
	$pdf->SetX(60);
	$pdf->Cell(0,1,utf8_decode("Quito: Km 23 de la Vía Interoceanica - Pifo por la calle de Techint y Carnasa"),0,2,'C');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(26);
	$pdf->SetX(60);
	$pdf->Cell(0,1,utf8_decode("Guayaquil: Vía a la Costa Km 24 S/N Solar 1 Parroquia Chongón "),0,2,'C');
	
	$pdf->SetFillColor(207, 200, 198);
	$pdf->SetFont('Arial','B',11);
	$pdf->SetY(33);
	//$pdf->SetX(60);
	$pdf->Cell(323,5,"FACTURA INFORMATIVA",1,2,'C','true');
	
	$pdf->SetY(38);
	//$pdf->Setx(10);	
	$pdf->SetFont('Arial','',7);
	$pdf->Cell(323,17,"",1,1,'C');

	$pdf->SetY(40);
	$pdf->Setx(20);	
	$pdf->SetFont('Arial','',9);		
	//$pdf->Cell(50,1,"FECHA: ". utf8_decode($fecha_formateada),0,1,'L');
	$pdf->Cell(50,1,"FECHA: ". utf8_decode($fecha),0,1,'L');

	$pdf->SetY(40);
	$pdf->Setx(200);
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(0,1,"NO.: ".$numero,0,2,'L');

	if ($exonerado == 0)
	{
		//$pdf->SetY(25);
		//$pdf->Setx(20);	
		//$pdf->SetFont('Arial','',9);
		//$pdf->Cell(50,1,"RUC: ".$ruc,0,1,'L');
		$pdf->SetY(45);
		$pdf->Setx(20);	
		$pdf->Cell(50,1,"CLIENTE: ".$razon_social,0,1,'L');
	}
	else
	{
		//$pdf->SetY(25);
		//$pdf->Setx(20);	
		//$pdf->SetFont('Arial','',9);
		//$pdf->Cell(50,1,"Cedula/Pasaporte: ".$cedula,0,1,'L');
		$pdf->SetY(45);
		$pdf->Setx(20);	
		$pdf->SetFont('Arial','',9);		
		$pdf->Cell(50,1,"CLIENTE: ". utf8_decode($nombre),0,1,'L');
	}

	$pdf->SetY(50);
	$pdf->Setx(20);
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(0,1,utf8_decode("TIPO DE IDENTICACIÓN: ").$tipoid,0,2,'L');

	$pdf->SetY(50);
	$pdf->Setx(200);
	$pdf->SetFont('Arial','',10);
	$pdf->Cell(0,1,utf8_decode("N° IDENTICACIÓN: ").$tipoid,0,2,'L');

	$pdf->SetFillColor(207, 200, 198);
	$pdf->SetFont('Arial','B',11);
	$pdf->SetY(53);
	//$pdf->SetX(60);
	$pdf->Cell(323,5,utf8_decode("INFORMACIÓN GENERAL"),1,2,'C','true');

	$pdf->SetY(58);
	//$pdf->Setx(10);	
	$pdf->SetFont('Arial','',7);
	$pdf->Cell(323,12,"",1,1,'C');

	$pdf->SetY(60);
	$pdf->Setx(20);
	//$pdf->SetFont('Arial','B',10);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(0,1,"PEDIDO: ".$pedido,2,2,'L');

	$pdf->SetY(64);
	$pdf->Setx(20);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(0,1,"DAI 70: ".$dai,0,2,'L');

	$pdf->SetY(68);
	$pdf->Setx(20);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(0,1,"INICIO DE REGIMEN: ".$fecha,0,2,'L');

	$pdf->SetY(60);
	$pdf->Setx(200);
	//$pdf->SetFont('Arial','B',10);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(0,1,"SOLICITUD PREVIA: ".$sp,2,2,'L');

	$pdf->SetY(64);
	$pdf->Setx(200);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(0,1,"CON. EMBARQUE:: ".$embarque,0,2,'L');

	$pdf->SetY(68);
	$pdf->Setx(200);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(0,1,"MONEDA:  .$monedad ",0,2,'L');

	$pdf->SetY(68);
	$pdf->Setx(230);
	$pdf->SetFont('Arial','',8);
	$pdf->Cell(0,1,"(".utf8_decode($moneda).")",0,2,'L');

	$pdf->SetFillColor(207, 200, 198);
	$pdf->SetFont('Arial','B',11);
	$pdf->SetY(70);
	//$pdf->SetX(60);
	$pdf->Cell(323,5,utf8_decode("DETALLE DEL RETIRO"),1,2,'C','true');

	/*
	if ($exonerado == 0)
	{
		$pdf->SetY(25);
		$pdf->Setx(20);	
		$pdf->SetFont('Arial','',9);
		$pdf->Cell(50,1,"RUC: ".$ruc,0,1,'L');
		$pdf->SetY(30);
		$pdf->Setx(20);	
		$pdf->Cell(50,1,"CLIENTE: ".$razon_social,0,1,'L');
	}
	else
	{
		$pdf->SetY(25);
		$pdf->Setx(20);	
		$pdf->SetFont('Arial','',9);
		$pdf->Cell(50,1,"Cedula/Pasaporte: ".$cedula,0,1,'L');
		$pdf->SetY(30);
		$pdf->Setx(20);	
		$pdf->SetFont('Arial','',9);		
		$pdf->Cell(50,1,"CLIENTE: ". utf8_decode($nombre),0,1,'L');
	}
	*/
   /*
	$pdf->SetY(35);
	$pdf->Setx(20);	
	$pdf->SetFont('Arial','',9);		
	//$pdf->Cell(50,1,"FECHA: ". utf8_decode($fecha_formateada),0,1,'L');
	$pdf->Cell(50,1,"FECHA: ". utf8_decode($fecha),0,1,'L');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(20);
	$pdf->Cell(0,1,"PEDIDO: ".$pedido,0,2,'R');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(25);
	$pdf->Cell(0,1,"DAI 70: ".$dai,0,2,'R');
	
	$pdf->SetFont('Arial','',8);
	$pdf->SetY(30);
	$pdf->Cell(0,1,"SP : ".$sp,0,2,'R');
	*/
////////////////////////////////////////
	$pdf->SetFont('Arial','B',7);
	/*
	$pdf->SetY(75);
	$pdf->Cell(8,5,"NRO.",1,1,'C');
	*/
	$pdf->SetY(75);
	//$pdf->Setx(18);	
	$pdf->Cell(15,5,"ITEM NO.",1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(25);	
	$pdf->Cell(45,5,"MARCA",1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(70);	
	$pdf->Cell(60,5,utf8_decode("DESCRIPCIÓN"),1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(130);	
	$pdf->Cell(20,5,"COLOR",1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(150);	
	$pdf->Cell(70,5,"MODELO",1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(220);	
	$pdf->Cell(15,5,utf8_decode("AÑO"),1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(235);	
	$pdf->Cell(40,5,"CHASIS",1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(275);	
	$pdf->Cell(35,5,"MOTOR",1,1,'C');
	
	/*$pdf->SetY(75);
	$pdf->Setx(238);	
	$pdf->Cell(15,5,"CANTIDAD",1,1,'C');
	*/
	$pdf->SetY(75);
	$pdf->Setx(310);	
	$pdf->Cell(23,5,"VALOR FOB",1,1,'C');
	/*
	$pdf->SetY(75);
	$pdf->Setx(273);	
	$pdf->Cell(20,5,"FLETE (".utf8_decode($moneda).")",1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(293);	
	$pdf->Cell(20,5,"SEGURO (".utf8_decode($moneda).")",1,1,'C');
	
	$pdf->SetY(75);
	$pdf->Setx(313);	
	$pdf->Cell(20,5,"VALOR ADUANA (".utf8_decode($moneda).")",1,1,'C');*/

	$y=80;
	$sumacatidad=0;
	$sumafob=0;
	$sumaseguro=0;
	$sumaflete=0;
	$sumaaduana=0;
	$sumaaduana1=0;
	$sumaaduana2=0;
	$contador = 0;
	$numeral=1;
	$detaf ="SELECT df.*, fd.*
	FROM tb_detallefactura  as df
	INNER JOIN tb_datadai as fd on fd.iddatadai = df.id_datadai
	WHERE df.id_facturainfo = $idfactura and df.condicion =1";
	$det = mysqli_query($conn,$detaf);	
	while($row = mysqli_fetch_array($det) )
	{	
		$contador++;
		$pdf->SetFont('Arial','',7);
		/*$pdf->SetY($y);
		$pdf->Cell(8,5,$numeral,1,1,'C');*/
		
		$pdf->SetY($y);
		//$pdf->Setx(18);	
		$pdf->Cell(15,5,$row['item'],1,1,'C');
		
		$pdf->SetY($y);
		$pdf->Setx(25);	
		$pdf->Cell(45,5,$row['marca'],1,1,'C');
	    
		$pdf->SetY($y);
		$pdf->Setx(70);
		$modeloLength = strlen($row['descripcion']);
		if($modeloLength >= 38)
		{
		    $pdf->MultiCell(60,2.5,$row['descripcion'],1,'J',0);
		}
		else
		{
		    $pdf->Cell(60,5,$row['descripcion'],1,1,'C');
		}
		
		$pdf->SetY($y);
		$pdf->Setx(130);	
		$pdf->Cell(20,5,(utf8_decode($row['color'])),1,1,'C');
	
		$pdf->SetY($y);
		$pdf->Setx(150);	
		//$pdf->Cell(50,5,$row['modelo'],1,1,'C');
		$modeloLength = strlen($row['modelo']);
		if($modeloLength >= 49)
		{
		    $pdf->MultiCell(70,2.5,$row['modelo'],1,'J',0);
		}
	    else
	    {
	        $pdf->Cell(70,5,$row['modelo'],1,1,'C');
	    }
		
		$pdf->SetY($y);
		$pdf->Setx(220);	
		$pdf->Cell(15,5,$row['otras'],1,1,'C');
	
		$pdf->SetY($y);
		$pdf->Setx(235);	
		$pdf->Cell(40,5,$row['chasis'],1,1,'C');
	
		$pdf->SetY($y);
		$pdf->Setx(275);	
		$pdf->Cell(35,5,$row['motor'],1,1,'C');
		
		// nueva resolucion aduana donde  
		
		$fecha_actual2 = "2023-12-31";
		if($fechafi <= $fecha_actual2)
		{
		    $pdf->SetY($y);
			$pdf->Setx(323);	
			$pdf->Cell(23,5,utf8_decode($moneda).number_format($row['fobitem'],3),1,1,'R');
		    
		
		
		}
		else
		{
			$pdf->SetY($y);
			$pdf->Setx(310);	
			$pdf->Cell(23,5,utf8_decode($moneda).number_format($row['fobitem'],3),1,1,'R');
		}	
		
		$id_datadai= $row['id_datadai'];
		
		$sumacatidad = $sumacatidad + $row['cantidad'];
		$sumafob = $sumafob + $row['fobitem'];
		$sumaseguro = $sumaseguro + $row['seguro'];
		$seguro = $row['seguro'];
		$sumaflete = $sumaflete + $row['transporte'];
		$transporte =  $row['transporte'];
		$sumaaduana = $sumaaduana + $sumafob + $sumaseguro;

		// resolucion de aduana
		$sumaaduana2 = $sumaaduana2 + $sumafob + $sumaseguro + $sumaflete;
		
		$sumaaduana1 = $sumaaduana1 + $sumafob + $sumaseguro;
		
		$y=$y+5;
		
		$sql = "UPDATE tb_datadai SET id_estado = 6 WHERE iddatadai = '$id_datadai'";
		$regis = mysqli_query($conn,$sql); 
		
		if ($contador > 27)
		{
			$pdf->AddPage();
			$y=10;
			$contador=0;
		}
		$numeral=$numeral+1;
	}
	
	//$pdf->SetFont('Arial','B',6);
	$pdf->SetY($y);
	//$pdf->Setx(238);	
	//$pdf->Cell(15,5,$sumacatidad,1,1,'C');
	//$pdf->SetY($y+5);
	//$pdf->Setx(238);	
	//$pdf->Cell(15,5,"",1,1,'C');
	//$pdf->SetY($y+4);
	$pdf->Setx(10);
	$pdf->SetFont('Arial','',7);
	$pdf->Cell(323,5,"CANTIDAD DE CHASIS: ".$sumacatidad. " (UNIDADES COMERCIALES) ",1,1,'L');
	//$pdf->SetY($y+8);
	//$pdf->Setx(238);
	//$pdf->Cell(15,5,"",0,1,'C');
	
	//$pdf->SetTextColor(0,255,0);
	
	/*
	$pdf->SetFillColor(207, 200, 198);
	$pdf->SetFont('Arial','B',6);
	$pdf->SetY($y+5);
	$pdf->Setx(253);	
	$pdf->Cell(20,5,utf8_decode($moneda).number_format($sumafob,3),1,1,'C','true');	
*/
	
	$pdf->SetY($y+5);
	$pdf->Setx(275);
	$pdf->SetFont('Arial','B',7);	
	$pdf->Cell(35,5,"TOTAL FOB:",1,1,'R');

	$pdf->SetY($y+5);
	$pdf->Setx(310);
	$pdf->SetFont('Arial','B',7);	
	$pdf->Cell(23,5,utf8_decode($moneda).number_format($sumafob,3),1,1,'R');
	
	$pdf->SetFont('Arial','B',7);	
	$pdf->SetY($y+10);
	$pdf->Setx(275);
	$pdf->Cell(35,5,"FLETE",1,1,'R');	
	
	$pdf->SetY($y+10);
	$pdf->Setx(310);	
	$pdf->SetFont('Arial','B',7);
	$pdf->Cell(23,5,utf8_decode($moneda).number_format($sumaflete,3),1,1,'R');
	
	$pdf->SetFont('Arial','B',7);	
	$pdf->SetY($y+15);
	$pdf->Setx(275);	
	$pdf->Cell(35,5,"SEGURO",1,1,'R');
	
	$pdf->SetY($y+15);
	$pdf->Setx(310);	
	$pdf->SetFont('Arial','B',7);
	$pdf->Cell(23,5,utf8_decode($moneda).number_format($sumaseguro,3),1,1,'R');
	
	//$pdf->SetFont('Arial','',6);		
	//$pdf->SetY($y);
	//$pdf->Setx(323);

	$pdf->SetFont('Arial','B',7);		
	$pdf->SetY($y+20);
	$pdf->Setx(275);	
	$pdf->Cell(35,5,"VALOR EN ADUANA:",1,1,'R');

	if($fechafi <= $fecha_actual2)
	{
	    // resolucion de aduana
		$pdf->SetY($y+20);
		$pdf->Setx(310);	
		$pdf->SetFont('Arial','B',7);
		$pdf->Cell(23,5,utf8_decode($moneda).number_format($sumaaduana2,3),1,1,'R');
	   
	}
	else
	{
		$pdf->SetY($y+20);
		$pdf->Setx(310);	
		$pdf->SetFont('Arial','B',7);
		//$pdf->Cell(23,5,utf8_decode($moneda).number_format($sumaaduana1,3),1,1,'R');
		 $pdf->Cell(23,5,utf8_decode($moneda).number_format($sumafob+$sumaflete+$sumaseguro,3),1,1,'R');
	}
	
	
	/*$pdf->SetY($y+20);
	$pdf->Setx(310);	
	$pdf->SetFont('Arial','B',7);
	$pdf->Cell(23,5,utf8_decode($moneda).number_format($sumaaduana1,3),1,1,'R');
*/
	$pdf->SetY($y+5);
	$pdf->Setx(10);	
	$pdf->SetFont('Arial','B',7);
	$pdf->Cell(265,20,"",1,1,'C');

	$pdf->SetY($y+10);
	$pdf->Setx(10);	
	$pdf->SetFont('Arial','B',7);
	$pdf->Cell(265,20,"___________________________________",0,1,'C');

	$pdf->SetY($y+13);
	$pdf->Setx(10);	
	$pdf->SetFont('Arial','B',7);
	$pdf->Cell(265,20,"FIRMA AUTORIZADA LATKIC",0,1,'C');

	$pdf->Output();
	
?>